Bug 206079 - vga=771 yields frozen console under vmware
vga=771 yields frozen console under vmware
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xorg-x11-drv-vmware (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-11 16:19 EDT by Aleksandar Milivojevic
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-11 09:54:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aleksandar Milivojevic 2006-09-11 16:19:13 EDT
Description of problem:
Passing vga=771 parameter to the kernel results in unusable console under VMware
ESX 3.0.  I haven't checked it yet on real physical machine.  The option used to
work OK in RHEL4 kernels under VMware.

Version-Release number of selected component (if applicable):
kernel-2.6.17-1.2519.4.21.el5

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Aleksandar Milivojevic 2006-12-01 10:38:17 EST
I've retested with RHEL5 beta 2.  The issue is still present.

This time I tested on both real hardware (built-in video card on Intel D945GNT
motherboard) and under VmWare ESX 3.0 virtual console.  If I use vga=xxx to
switch to frame buffer mode on console, I simply get black screen.  I've tried
with several different modes (vga=771, vga=773, vga=775, vga=795), got black
screen every time.

RHEL4 kernel(s) work OK with vga=xxx option on exactly the same hardware. 
Whatever the problem is, it was introduced somewhere between 2.6.9 and 2.6.17
kernels (and still present it 2.6.18).
Comment 2 Matěj Cepl 2007-07-10 10:14:55 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config files (/etc/X11/xorg.conf) and X server log
files (/var/log/Xorg.*.log) for both hardware and VMWare X servers to the bug
report as individual uncompressed file attachments using the bugzilla file
attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Aleksandar Milivojevic 2007-07-10 18:22:47 EDT
I don't have any machines to test this at the moment.
Comment 4 Matěj Cepl 2007-07-11 09:54:05 EDT
Closing as INSUFFICIENT_DATA then, and if you will be able to answer my
questions, please, reopen with additional information.

Thanks for your patience,

Matěj Cepl

Note You need to log in before you can comment on or make changes to this bug.